Inbox answers
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
Body
namestringRequiredExample:
The name/title of the text snippet.
Opening hoursmessagestringRequiredExample:
The content of the text snippet.
We are open Monday to Friday from 9 AM to 5 PM.Responses
201
Response snippet created successfully.
application/json
400
Invalid input data.
403
Insufficient permissions.
post
/v1/inbox/{chatbotId}/answersAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
answerIdstringRequired
The ID of the response snippet to update.
Body
namestringRequiredExample:
The new name of the text snippet.
New opening hoursmessagestringRequiredExample:
The new content of the text snippet.
Our new opening hours are from 8 AM to 6 PM.Responses
200
Response snippet updated successfully.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
put
/v1/inbox/{chatbotId}/answers/{answerId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
answerIdstringRequired
The ID of the response snippet to delete.
Responses
200
Response snippet deleted successfully.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
delete
/v1/inbox/{chatbotId}/answers/{answerId}Last updated